Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protegex.owl.ui.search.finder
Enum Find.FindStatus

    java.lang.Object
      java.lang.Enum<Find.FindStatus>
          edu.stanford.smi.protegex.owl.ui.search.finder.Find.FindStatus

All Implemented Interfaces:
  Serializable, Comparable<Find.FindStatus>

Enclosing interface:
  Find

    public static enum Find.FindStatus

extends Enum<Find.FindStatus>

Enum Constant Summary
`CANCELLED`
`CANCELLING`
`COMPLETED`
`INIT`
`RUNNING`

Method Summary
`static Find.FindStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Find.FindStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INIT

    public static final Find.FindStatus INIT

### RUNNING

    public static final Find.FindStatus RUNNING

### CANCELLING

    public static final Find.FindStatus CANCELLING

### COMPLETED

    public static final Find.FindStatus COMPLETED

### CANCELLED

    public static final Find.FindStatus CANCELLED

Method Detail

### values

    public static final Find.FindStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Find.FindStatus c : Find.FindStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Find.FindStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.